Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
The moc has changed too much error make xconfig
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4185
Location: india

PostPosted: Sat Sep 29, 2012 3:02 am    Post subject: The moc has changed too much error make xconfig Reply with quote

Code:
localhost linux # make xconfig
  HOSTCXX scripts/kconfig/qconf.o
In file included from scripts/kconfig/qconf.cc:48:0:
scripts/kconfig/qconf.moc:13:2: error: #error "This file was generated using the moc from 4.7.3. It"
scripts/kconfig/qconf.moc:14:2: error: #error "cannot be used with the include files from this version of Qt."
scripts/kconfig/qconf.moc:15:2: error: #error "(The moc has changed too much.)"
make[1]: *** [scripts/kconfig/qconf.o] Error 1
make: *** [xconfig] Error 2
localhost linux #


what it says?
does it mean re emerge kernel source or qt to be down graded?
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
khayyam
Watchman
Watchman


Joined: 07 Jun 2012
Posts: 6227
Location: Room 101

PostPosted: Sun Sep 30, 2012 3:05 pm    Post subject: Reply with quote

padoor ...

I don't imagine xconfig sees that much development and is no doubt out of step with more recent Qt versions. I'd suggest using 'menuconfig' as all it requires is ncurses and is better supported.

best ... khay
Back to top
View user's profile Send private message
Goverp
Veteran
Veteran


Joined: 07 Mar 2007
Posts: 1191

PostPosted: Sun Sep 30, 2012 6:33 pm    Post subject: Re: The moc has changed too much error make xconfig Reply with quote

padoor wrote:
Code:

scripts/kconfig/qconf.moc:13:2: error: #error "This file was generated using the moc from 4.7.3. It"
scripts/kconfig/qconf.moc:14:2: error: #error "cannot be used with the include files from this version of Qt."
scripts/kconfig/qconf.moc:15:2: error: #error "(The moc has changed too much.)"
...


what it says?
does it mean re emerge kernel source or qt to be down graded?


I had this a few releases ago. Just delete the scripts/kconfig/qconf.moc file (or rename if if you want to keep a backup). AFAIK, the make xconfig script then generates a new one that is compatible.
_________________
Greybeard
Back to top
View user's profile Send private message
MurphyG
n00b
n00b


Joined: 19 Oct 2010
Posts: 19

PostPosted: Tue Jan 01, 2013 6:40 pm    Post subject: Reply with quote

Thanks Greybeard, that solved this issue for me.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum